Bug 1684352 - [Monitoring] statefulset prometheus-k8s/alertmanager-main should not use default for creationTimestamp/status after attaching PVs
Summary: [Monitoring] statefulset prometheus-k8s/alertmanager-main should not use defa...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.3.0
Assignee: Christian Heidenreich
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 03:33 UTC by Junqi Zhao
Modified: 2019-05-21 09:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-21 09:53:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Junqi Zhao 2019-03-01 03:33:35 UTC
Description of problem:
This RFE is from https://bugzilla.redhat.com/show_bug.cgi?id=1679500#c8
after attaching PVs for cluster monitoring, statefulset prometheus-k8s/alertmanager-main use default for creationTimestamp/status after attaching PVs, see below, default creationTimestamp is 1970-01-01T00:00:00Z, default is phase: Pending

# oc -n openshift-monitoring get statefulset prometheus-k8s -oyaml | grep -i pending -B14
    type: RollingUpdate
  volumeClaimTemplates:
  - metadata:
      creationTimestamp: 1970-01-01T00:00:00Z
      name: prometheus-k8s-db
    spec:
      accessModes:
      - ReadWriteOnce
      dataSource: null
      resources:
        requests:
          storage: 4Gi
      storageClassName: gp2
    status:
      phase: Pending

Version-Release number of selected component (if applicable):
4.0.0-0.nightly-2019-02-27-213933

How reproducible:
Always

Steps to Reproduce:
1. Attach PV for cluster monitoring and check statefulset prometheus-k8s/alertmanager-main info
2.
3.

Actual results:
statefulset prometheus-k8s/alertmanager-main use default for creationTimestamp/status after attaching PVs

Expected results:
creationTimestamp should be the PV creation time
status should be phase: Bound

Additional info:


Note You need to log in before you can comment on or make changes to this bug.